## util-linux 2.36.1

=== debian/changelog ===
util-linux (2.36.1-8aatgv1) unstable; urgency=medium

  * Build for m-privacy
  * Add RSBAC settings (hand edited)
  * debian/rules:
    - CONFOPTS += --without-selinux --without-smack --without-systemd
    - remove systemd lines
    - export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
    - export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects
    - do not delete static libs
  * debian/control:
    - do not build-depend on libselinux1-dev, libsystemd-dev, systemd
    - do not depend libmount-dev on libselinux1-dev
  * debian/util-linux.install: disable systemd lines
  * debian/uuid-runtime.install: disable lib/systemd/system/uuidd.*
  * debian/uuid-runtime.postinst: modify and create user and group the RSBAC way
  * debian/libmount-dev.install:
    - add usr/lib/*/libmount.a

 -- Amon Ott <ao@m-privacy.de>  Fri, 06 Aug 2021 10:54:09 +0200

util-linux (2.36.1-8) unstable; urgency=medium

  * Apply upstream patch for CVE-2021-37600 (Closes: #991619)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 28 Jul 2021 19:09:07 +0000

util-linux (2.36.1-7) unstable; urgency=medium

  * libmount: allow --read-only for not-root users.
    Apply patch from upstream. (Closes: #980828)
  * Cleanup Uploaders

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 07 Feb 2021 14:38:19 +0000

util-linux (2.36.1-6) unstable; urgency=medium

  * libmount: do not canonicalize ZFS source dataset.
    Upstream patch. (Closes: #980273)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 17 Jan 2021 20:27:00 +0000

util-linux (2.36.1-5) unstable; urgency=medium

  * hwclock-set: remove useless source /etc/default/rcS
  * hwclock-set: remove stamp file.
    Since initramfs-tools 0.119 (jessie), hwclock-set is not installed
    in the initramfs anymore. This was the original reason for having
    the stamp file.
  * man cfdisk: Add upstream patch documenting resize command.
    Thanks to Vincent McIntyre <Vincent.Mcintyre@csiro.au>
    (Closes: #915971, #906918)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 11 Jan 2021 22:03:06 +0000

util-linux (2.36.1-4) unstable; urgency=medium

  * bsdextrautils: Install colcrt (Closes: #977871)
  * hwclock.sh: remove obsolete startup code.
    Let the on startup code always be handled by the udev rule we install.
    On any normal system, systemd or sysvinit, "hwclock.sh start" was a
    no-op for the last few Debian releases already. Also, with initramfs,
    hwclock.sh never got executed *before* fsck for root.
    If your system does not have udev but has an RTC in localtime or one
    needing drift adjustments, you will need to handle this yourself.
  * hwclock: remove all broken settings.
    Since buster, BADYEAR was broken, because upstream removed the code in
    v2.30-rc1.
    Since buster, the alpha cmos support was broken, because upstream
    removed the code.
    Since stretch, HWCLOCKACCESS=no was broken on udev systems, because the
    helper ignored it.
    Remove all those settings; also remove HCTOSYS_DEVICE from the
    default-shipped /etc/default/hwclock, as changing it is extremely
    difficult to get right.
  * hwclock.sh: add comments when to use this init script
  * Update advice on ALWAYS_SET_PATH to use /etc/default/su (Closes: #905564)
  * Remove Suggests: console-tools. Gone since 2013.

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 29 Dec 2020 15:46:26 +0000

util-linux (2.36.1-3) unstable; urgency=medium

  [ Quentin PAGÈS ]
  * Occitan translation for eject

  [ Chris Hofstaedtler ]
  * Bump Standards-Version to 4.5.1
  * Refresh patches

  [ Matthew Vernon ]
  * getopt(1): explicitly say where examples are on Debian (Closes: #913049)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 19 Dec 2020 13:42:03 +0000

util-linux (2.36.1-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Register /bin/more as pager alternative only on Linux.
  * Fix build on non-Linux architectures (Closes: #975008)

  [ Chris Hofstaedtler ]
  * Add upstream patch fixing user mounts on kernel < 5.10 (Closes: #975727)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 25 Nov 2020 21:07:38 +0000

util-linux (2.36.1-1) unstable; urgency=medium

  * New upstream stable release
  * Remove upstream applied patches

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 16 Nov 2020 14:01:03 +0000

util-linux (2.36-4) unstable; urgency=medium

  [ Holger Wansing ]
  * Re-add Tajik debconf translation file (somehow lost from eject package).
    Taken from bug #890079.
  * Update Norwegian Bokmål debconf translation according to last state in
    eject package (taken from bug #923919).

  [ Slimane Selyan Amiri ]
  * Add Kabyle translation for eject (via Hoger Wansing)

  [ Chris Hofstaedtler ]
  * flock: keep -E exit status more restrictive (Closes: #973751)

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 16 Nov 2020 09:18:06 +0000
