## util-linux 2.37.2

=== debian/changelog ===
util-linux (2.37.2-4ubuntu3) jammy; urgency=medium

  * Revert the change to libsmartcols that outputs shell parsable column
    names when -P / --pairs is used in lsblk. The change breaks older
    MAAS and curtin versions, such that they cannot deploy Jammy.
    (LP: #1961542)
    - d/p/ubuntu/lp-1961542-Revert-libsmartcols-sanitize-variable-names-on-ex.patch

 -- Matthew Ruffell <matthew.ruffell@canonical.com>  Mon, 21 Feb 2022 14:49:57 +1300

util-linux (2.37.2-4ubuntu2) jammy; urgency=medium

  * SECURITY UPDATE: Unauthorized unmount of FUSE filesystems belonging to
    users with similar uid
    - debian/patches/upstream/CVE-2021-3995-1.patch: make sure mem2strcpy()
      buffer is zeroized in include/strutils.h.
    - debian/patches/upstream/CVE-2021-3995-2.patch: fix UID check for FUSE
      umount in libmount/src/context_umount.c, libmount/src/mountP.h,
      libmount/src/optstr.c.
    - CVE-2021-3995
  * SECURITY UPDATE: Unauthorized unmount in util-linux's libmount
    - debian/patches/upstream/CVE-2021-3996-1.patch: remove support for
      deleted mount table entries in libmount/src/tab_parse.c.
    - debian/patches/upstream/CVE-2021-3996-2.patch: update mountinfo files
      in tests/*.
    - CVE-2021-3996

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 16 Feb 2022 07:21:37 -0500

util-linux (2.37.2-4ubuntu1) jammy; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
    - Clean up weekly fstrim cron file, now a systemd timer unit.
    - Allow to build without udeb packages.
    - Update translations after changes to HiFive partition names

 -- Mario Limonciello <superm1@gmail.com>  Wed, 27 Oct 2021 00:35:24 -0500

util-linux (2.37.2-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Remove 1 obsolete maintscript entry.
  * Re-export upstream signing key without extra signatures.

  [ Chris Hofstaedtler ]
  * Add upstream-applied patches for requested features
    * Use more passive wording in hardlink.1
    * fallocate: Let user choose larger buffers for IO reading
    * Update HiFive partition names
      Thanks to Alexandre Ghiti, Eduard Bloch (Closes: #994941)
    * more: add upstream patch for "Erase line before writing the filename"
      Thanks to Vincent Smeets (Closes: #992516)
  * Apply upstream patch to remove accidental nbsp from blockdev output
    (Closes: #996751)
  * Apply upstreamed patch to fix FTBFS with mkswap on ext3 in cowbuilder.
    Thanks to Mark Hindley <mark@hindley.org.uk> (Closes: #996764)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 19 Oct 2021 14:02:14 +0000

util-linux (2.37.2-3) unstable; urgency=medium

  * Disable --enable-raw (Closes: #994798)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 21 Sep 2021 12:58:03 +0000

util-linux (2.37.2-2) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Take over hardlink binary (Closes: #992498)
  * Tidy up installed example files

  [ Luca Boccassi ]
  * Build with libcryptsetup-dev in dlopen mode to enable dm-verity.
    Re-enable dm-verity support. Use the new dlopen configure flag, so that
    instead of linking against libcryptsetup.so, it is loaded dynamically
    at runtime, and only if the verity feature options (-o verity...) are
    used, to avoid the dependency on the libcryptsetup package being pulled
    in unconditionally. Add it as a Suggests on cryptsetup-bin.
    (Closes: #951048)

  [ Chris Hofstaedtler ]
  * Remove obsolete upgrade code
  * Introduce pkg.util-linux.noverity build profile, disables dm-verity
    support. Add debian/README.build-profiles.

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 05 Sep 2021 15:15:21 +0000

util-linux (2.37.2-1) unstable; urgency=medium

  [ Chris Hofstaedtler ]
  * Update to upstream version 2.37.2, rebase patches
    * Skip lsns/ioctl_ns test if unshare fails
    * Stop installing fdformat, following upstream
    * Follow upstream rename of getopt examples
    * libblkid1: update symbols
    * libmount1: update symbols
    * Install new uclampset binary
  * Depend on asciidoctor for man pages.
    We should figure out how to skip asciidoctor for stage1 builds, as it is
    not strictly necessary except for some edge cases.
  * d/copyright: remove non-existing files (Closes: #987942)
  * d/rules: fix space/tab confusion in stage1 part
  * Disable GPL3+ parts in hwclock (Closes: #987944)
  * Explicitly conflict with libedit-dev, causes build failures
  * Install linux32, linux64 manpages as upstream intended (section 8)
  * Remove relations that are fulfilled in at least buster
  * Bump Standards-Version to 4.6.0

  [ Matthias Klose ]
  * Allow building without udeb packages (Closes: #983557)
    Tag all *-udeb packages with the !noudeb build-profile to
    allow building without the udebs.

  [ Andreas Henriksson ]
  * bsdextrautils: Make shlibs:Depends regular Depends
    As described in the bug report, bsdextrautils is a normal
    package (not Essential: yes), so doesn't need to Pre-Depend
    on libraries. Thanks to Sven Joachim for a keen eye to catch
    this detail. (Closes: #982557)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 20 Aug 2021 09:31:11 +0000

util-linux (2.36.1-8ubuntu2) impish; urgency=medium

  * Fix HiFive partition names (LP: #1944741)
    - include: Rename HiFive partition UUIDs
    - po: Update translations after changes to HiFive partition names


