=== debian/rules ===
--- 
+++ 
@@ -1,24 +1,26 @@
 #!/usr/bin/make -f
-
-# m-privacy
-export DEB_CFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
-export DEB_CXXFLAGS_MAINT_APPEND += -mtune=corei7 -flto=8 -ffat-lto-objects
-export DEB_LDFLAGS_MAINT_APPEND += -flto=8 -ffat-lto-objects
 
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/pkg-info.mk
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONFOPTS += --enable-raw
-CONFOPTS += --without-selinux
-CONFOPTS += --without-smack
+CONFOPTS += --with-selinux
+CONFOPTS += --with-smack
 CONFOPTS += --enable-partx
+CONFOPTS += --with-audit
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	CONFOPTS += --without-systemd --without-udev --without-audit
 else
-	CONFOPTS += --without-systemd --with-udev --with-audit
+	CONFOPTS += --with-systemd --with-udev --with-audit
+endif
+
+ifneq ($(filter pkg.util-linux.noverity,$(DEB_BUILD_PROFILES)),)
+	CONFOPTS += --without-cryptsetup
+else
+	CONFOPTS += --with-cryptsetup=dlopen
 endif
 endif
+
 
 CONFOPTS += --enable-write
 
@@ -30,8 +32,6 @@
 CONFOPTS += --without-python
 
 # disable utilities shipped by other packages
-# => hardlink
-CONFOPTS += --disable-hardlink
 # => login
 CONFOPTS += --disable-login
 CONFOPTS += --disable-nologin
@@ -41,6 +41,9 @@
 CONFOPTS += --disable-chfn-chsh
 # => bsdmainutils
 CONFOPTS += --disable-cal
+
+# Keep hwclock as GPLv2 (and others)
+CONFOPTS += --disable-hwclock-gplv3
 
 # Get the list of binary package, except lib* and *-udeb, from
 # debian/control instead of hardcoding the list when installing
@@ -63,11 +66,11 @@
 	dh_auto_install
 ifneq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 	# Manually generate and install units to avoid missing files when
-        # util-linux.install gets executed in stage1 builds.
-#	install -d debian/tmp/lib/systemd/system
-#	make PATHFILES=sys-utils/fstrim.service sys-utils/fstrim.service
-#	install -m644 sys-utils/fstrim.service debian/tmp/lib/systemd/system/fstrim.service
-#	install -m644 sys-utils/fstrim.timer debian/tmp/lib/systemd/system/fstrim.timer
+	# util-linux.install gets executed in stage1 builds.
+	install -d debian/tmp/lib/systemd/system
+	make PATHFILES=sys-utils/fstrim.service sys-utils/fstrim.service
+	install -m644 sys-utils/fstrim.service debian/tmp/lib/systemd/system/fstrim.service
+	install -m644 sys-utils/fstrim.timer debian/tmp/lib/systemd/system/fstrim.timer
 endif
 	#
 	# remove *.la files
@@ -75,7 +78,7 @@
 	#
 	# Avoid shipping static libraries.
 	# - libblkid.a is used by e2fsprogs.
-#	find debian/tmp/usr/lib -name 'lib*.a' \! -name 'libuuid.a' \! -name 'libblkid.a' -delete
+	find debian/tmp/usr/lib -name 'lib*.a' \! -name 'libuuid.a' \! -name 'libblkid.a' -delete
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -139,9 +142,9 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 ifeq (,$(findstring s390,$(DEB_HOST_ARCH)))
 	# install /etc/init.d/hwclock.sh
-	dh_installinit --name=hwclock.sh --no-start
-	# install /etc/default/hwclock
-	dh_installinit --name=hwclock
+	# - update-rc.d manually handled in maintainers scripts as there
+	#   is special per-arch considerations.
+	dh_installinit --name=hwclock.sh --noscripts
 endif
 endif
 	# install uuidd sysvinit script
@@ -161,9 +164,9 @@
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_installsystemd:
-#	dh_installsystemd -putil-linux fstrim.timer
-#	dh_installsystemd -putil-linux fstrim.service
-#	dh_installsystemd --remaining-packages
+	dh_installsystemd -putil-linux fstrim.timer
+	dh_installsystemd -putil-linux fstrim.service
+	dh_installsystemd --remaining-packages
 endif
 
 override_dh_auto_test:
@@ -173,7 +176,3 @@
 	@echo "WARNING: non-linux detected, making tests non-fatal."
 	dh_auto_test --max-parallel=1 || true
 endif
-
-override_dh_compress:
-	mp_rsbac
-	dh_compress
