=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%.xz$%.sign%, decompress, uversionmangle=s/-rc/~rc/" \
	https://www.kernel.org/pub/linux/utils/util-linux/v([\d+\.]+)/util-linux-@ANY_VERSION@\.tar\.xz
