## util-linux 2.37.3

=== debian/changelog ===
util-linux (2.37.3-1.0nosystemd1) nosystemd; urgency=medium

  * nosystemd build 

 -- anticapitalista <antix@operamail.com>  Mon, 24 Jan 2022 23:42:01 +0200

util-linux (2.37.3-1) unstable; urgency=medium

  * New upstream release:
    * libmount: fix UID check for FUSE umount, fixes CVE-2021-3995
    * libmount: fix (deleted) suffix issue, fixes CVE-2021-3996
  * d/bsdextrautils.install: remove useless use of dh-exec

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 24 Jan 2022 13:25:57 +0000

util-linux (2.37.2-6) unstable; urgency=medium

  * Import upstream patch to make agetty and systemd v250 play nice.
    Fixes: #1003595
    Thanks to Sven Joachim

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 12 Jan 2022 12:07:45 +0000

util-linux (2.37.2-5) unstable; urgency=medium

  * Stop supporting alternatives for /usr/bin/write (Closes: #995667)
  * Install disabled logcheck file for util-linux.
    I do not feel comfortable enough to install this by default (and also
    it would be a new conffile). Users can symlink it. (Closes: #997822)
  * Update copyright file (Closes: #990067)

 -- Chris Hofstaedtler <zeha@debian.org>  Fri, 24 Dec 2021 12:41:50 +0000
