## util-linux 2.38

=== debian/changelog ===
util-linux (2.38-4ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Build hwclock with audit support.
    - Drop debian/hwclock.rules and debian/util-linux.hwclock.default, recent
      kernels sync the RTC automatically.
    - Add sulogin-fallback-static-sh.patch: Add support for /bin/static-sh as
      fallback if the regular shell fails to execute. Patch ported from
      sysvinit. (see LP #505887)
    - Add sulogin-lockedpwd.patch: Make sure file systems can be fixed on
      machines with locked root accounts (as Ubuntu does by default). Don't
      require --force for sulogin.
  * Dropped changes, included upstream:
    - Revert the change to libsmartcols that outputs shell parsable column
      names when -P / --pairs is used in lsblk. The change breaks older
      MAAS and curtin versions, such that they cannot deploy Jammy.
      (LP: #1961542)
      - d/p/ubuntu/lp-1961542-Revert-libsmartcols-sanitize-variable-names-on-ex.patch
    - SECURITY UPDATE: Unauthorized unmount of FUSE filesystems belonging to
      users with similar uid
      - debian/patches/upstream/CVE-2021-3995-1.patch: make sure mem2strcpy()
        buffer is zeroized in include/strutils.h.
      - debian/patches/upstream/CVE-2021-3995-2.patch: fix UID check for FUSE
        umount in libmount/src/context_umount.c, libmount/src/mountP.h,
        libmount/src/optstr.c.
      - CVE-2021-3995
    - SECURITY UPDATE: Unauthorized unmount in util-linux's libmount
      - debian/patches/upstream/CVE-2021-3996-1.patch: remove support for
        deleted mount table entries in libmount/src/tab_parse.c.
      - debian/patches/upstream/CVE-2021-3996-2.patch: update mountinfo files
        in tests/*.
      - CVE-2021-3996
    - Update translations after changes to HiFive partition names
  * Stop cleaning up weekly fstrim cron file as it has been gone since
    Bionic.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 04 May 2022 10:30:45 +1200

util-linux (2.38-4) unstable; urgency=medium

  * Ship empty /var/lib/libuuid again.
    In 2014 we stopped creating this directory as part of the package. For
    some more time, this was the home directory of the uuid runtime user,
    but that got changed to /run/uuidd then. Ship this directory again,
    as libuuid puts a file there, and since 2.38 the uuidd.service
    definition also wants to bind-mount it. (Closes: #1009686)
  * Update libfdisk1, libmount1, libsmartcols1 symbol files
  * util-linux-extra: fix misc:Pre-Depends mixup in Depends:
  * Use different method to install lsfd into /usr/bin
  * Install lsirq into util-linux-extra

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 14 Apr 2022 11:50:55 +0000

util-linux (2.38-3) unstable; urgency=medium

  * Update fdisk test data for ppc64le, fixing FTBFS there.

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 13 Apr 2022 20:33:06 +0000

util-linux (2.38-2) unstable; urgency=medium

  * hardlink tests: set known failed

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Apr 2022 20:37:24 +0000

util-linux (2.38-1) unstable; urgency=medium

  * New upstream release.
    * Rebase patches, drop upstream applied patches
  * Introduce util-linux-extra binary package with Priority: standard,
    which I expect to move a number of programs from util-linux to
    in the future. For upgrade considerations, this is pseudo-Essential.
  * Move fincore, hwclock to util-linux-extra.
  * tests/functions.sh: Use non-deprecated chown syntax (Closes: #1007139)
  * Install lsfd into util-linux-extra (Closes: #1009284)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 12 Apr 2022 15:49:35 +0000
