=== debian/control ===
--- 
+++ 
@@ -1,59 +1,54 @@
 Source: util-linux
-Build-Depends: bc <!stage1 !nocheck>,
+Build-Depends: asciidoctor,
+               bc <!stage1 !nocheck>,
                bison,
                debhelper-compat (= 13),
                dh-exec,
                gettext,
-               libaudit-dev [linux-any] ,
-               libcap-ng-dev [linux-any] ,
+               libaudit-dev [linux-any] <!stage1>,
+               libcap-ng-dev [linux-any] <!stage1>,
+               libcryptsetup-dev [linux-any] <!pkg.util-linux.noverity>,
                libncurses5-dev,
                libncursesw5-dev,
-               libpam0g-dev ,
+               libpam0g-dev <!stage1>,
+               libreadline-dev,
+               libselinux1-dev [linux-any],
+               libsystemd-dev [linux-any] <!stage1>,
                libtool,
-               libudev-dev [linux-any] ,
+               libudev-dev [linux-any] <!stage1>,
                netbase <!stage1 !nocheck>,
                pkg-config,
                po-debconf,
                socat <!stage1 !nocheck>,
-               zlib1g-dev
-Build-Conflicts: libcryptsetup-dev
+               systemd [linux-any] <!stage1>,
+               zlib1g-dev,
+               libaudit-dev
+Build-Conflicts: libedit-dev
 Section: base
 Priority: required
-Maintainer: util-linux packagers <util-linux@packages.debian.org>
-Uploaders: Adam Conrad <adconrad@0c3.net>,
-           Chris Hofstaedtler <zeha@debian.org>,
-           LaMont Jones <lamont@debian.org>
-Standards-Version: 4.5.1
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: util-linux packagers <util-linux@packages.debian.org>
+Uploaders: Chris Hofstaedtler <zeha@debian.org>
+Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
 Vcs-Browser: https://salsa.debian.org/debian/util-linux
 Vcs-Git: https://salsa.debian.org/debian/util-linux.git
-Homepage: http://www.kernel.org/pub/linux/utils/util-linux/
+Homepage: https://www.kernel.org/pub/linux/utils/util-linux/
 
 Package: util-linux
 Architecture: any
-Ignored:
+Build-Profiles: <!stage1>
 Section: utils
 Essential: yes
 Pre-Depends: ${misc:Pre-Depends},
              ${shlibs:Depends}
-Depends: login (>= 1:4.5-1.1~),
-         ${misc:Depends}
+Depends: ${misc:Depends}, util-linux-extra
 Suggests: dosfstools,
           kbd,
           util-linux-locales
-Replaces: bash-completion (<< 1:2.8),
-          initscripts (<< 2.88dsf-59.2~),
-          login (<< 1:4.5-1.1~),
-          mount (<< 2.29.2-3~),
-          s390-tools (<< 2.2.0-1~),
-          setpriv (<< 2.32.1-0.2~),
-          sysvinit-utils (<< 2.88dsf-59.1~)
-Breaks: bash-completion (<< 1:2.8),
-        grml-debootstrap (<< 0.68),
-        mount (<< 2.29.2-3~),
-        s390-tools (<< 2.2.0-1~),
-        setpriv (<< 2.32.1-0.2~),
-        sysvinit-utils (<< 2.88dsf-59.4~)
+Provides: hardlink
+Conflicts: hardlink
+Replaces: hardlink
 Multi-Arch: foreign
 Description: miscellaneous system utilities
  This package contains a number of important utilities, most of which
@@ -64,7 +59,7 @@
 
 Package: util-linux-locales
 Architecture: all
-Ignored:
+Build-Profiles: <!stage1>
 Section: localization
 Priority: optional
 Depends: util-linux (>= ${source:Upstream-Version}),
@@ -79,12 +74,11 @@
 
 Package: mount
 Architecture: linux-any
-Ignored:
+Build-Profiles: <!stage1>
 Section: admin
 Pre-Depends: ${misc:Pre-Depends},
              ${shlibs:Depends}
-Depends: util-linux (>= 2.29.2-3~),
-         ${misc:Depends}
+Depends: ${misc:Depends}
 Suggests: nfs-common
 Multi-Arch: foreign
 Description: tools for mounting and manipulating filesystems
@@ -93,7 +87,7 @@
 
 Package: bsdutils
 Architecture: any
-Ignored:
+Build-Profiles: <!stage1>
 Essential: yes
 Section: utils
 Pre-Depends: ${misc:Pre-Depends},
@@ -108,14 +102,15 @@
 
 Package: bsdextrautils
 Architecture: any
-Ignored:
-Section: utils
-Priority: optional
-Pre-Depends: ${misc:Pre-Depends},
-             ${shlibs:Depends}
-Depends: ${misc:Depends}
-Replaces: bsdmainutils (<< 12.1.3)
-Breaks: bsdmainutils (<< 12.1.3)
+Build-Profiles: <!stage1>
+Section: utils
+Priority: optional
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
+Replaces: bsdmainutils (<< 12.1.3), nwrite
+Breaks: bsdmainutils (<< 12.1.3), nwrite
+Conflicts: nwrite
 Multi-Arch: foreign
 Description: extra utilities from 4.4BSD-Lite
  This package contains some extra BSD utilities: col, colcrt, colrm, column,
@@ -124,14 +119,12 @@
 
 Package: fdisk
 Architecture: any
-Ignored:
+Build-Profiles: <!stage1>
 Section: utils
 Priority: important
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
-Replaces: util-linux (<< 2.29.2-3~)
-Breaks: util-linux (<< 2.29.2-3~)
 Multi-Arch: foreign
 Description: collection of partitioning utilities
  This package contains the classic fdisk, sfdisk and cfdisk partitioning
@@ -147,7 +140,7 @@
 
 Package: fdisk-udeb
 Architecture: hurd-any linux-any
-Ignored:
+Build-Profiles: <!stage1 !noudeb>
 Priority: optional
 Section: debian-installer
 Depends: ${misc:Depends},
@@ -177,6 +170,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: stripped down block device ID library, for debian-installer
  The blkid library allows system programs such as fsck and mount to
  quickly and easily find block devices by filesystem UUID or label.
@@ -222,6 +216,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: stripped down fdisk partitioning library, for debian-installer
  The libfdisk library is used for manipulating partition tables. It is
  the core of the fdisk, cfdisk, and sfdisk tools.
@@ -252,12 +247,14 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Suggests: cryptsetup-bin [linux-any]
 Multi-Arch: same
 Description: device mounting library
  This device mounting library is used by mount and umount helpers.
 
 Package: libmount1-udeb
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Section: debian-installer
 Priority: optional
 Depends: ${misc:Depends},
@@ -275,6 +272,7 @@
 Depends: libblkid-dev,
          libc6-dev | libc-dev,
          libmount1 (= ${binary:Version}),
+         libselinux1-dev,
          ${misc:Depends}
 Multi-Arch: same
 Description: device mounting library - headers
@@ -300,6 +298,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Package-Type: udeb
+Build-Profiles: <!noudeb>
 Description: stripped down smart column output aligment library, for debian-installer
  This smart column output alignment library is used by fdisk utilities.
  .
@@ -338,10 +337,10 @@
 
 Package: uuid-runtime
 Architecture: any
-Ignored:
-Section: utils
-Priority: optional
-Pre-Depends: libuuid1 (>= 2.25-5~),
+Build-Profiles: <!stage1>
+Section: utils
+Priority: optional
+Pre-Depends: libuuid1,
              ${misc:Pre-Depends}
 Depends: adduser,
          ${misc:Depends},
@@ -367,6 +366,3 @@
 Architecture: any
 Section: debian-installer
 Priority: optional
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Package-Type: udeb
