=== debian/rules ===
--- 
+++ 
@@ -142,9 +142,7 @@
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 ifeq (,$(findstring s390,$(DEB_HOST_ARCH)))
 	# install /etc/init.d/hwclock.sh
-	# - update-rc.d manually handled in maintainers scripts as there
-	#   is special per-arch considerations.
-	dh_installinit --name=hwclock.sh --noscripts
+	dh_installinit --package=util-linux-extra --name=hwclock.sh --no-start
 endif
 endif
 	# install uuidd sysvinit script
@@ -160,7 +158,7 @@
 	dh_installpam --package=util-linux --name=su-l
 
 override_dh_fixperms:
-	dh_fixperms -i -a -Xusr/bin/wall -Xusr/bin/write.ul -Xbin/mount -Xbin/umount -Xbin/su
+	dh_fixperms -i -a -Xusr/bin/wall -Xusr/bin/write -Xbin/mount -Xbin/umount -Xbin/su
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 override_dh_installsystemd:
